eclipse java plug in for blackberry

sydneyguy
sydneyguy used Ask the Experts™
on
I am using eclipse ver ganymede sr2 win32 not sure which version it is as cannot find this any where,  and wanted to load up the blackberry code and simulator, have been to the site but do not need the whole installation as mine is working great and want to keep it that way, but just the plug in to develop the blackberry code and do not wish to muck up my now running eclipde on vista. the build id Eclipse for php developers is 20090619-0625. there must have been 10 different uploads but was wondering if i could get some verification as to which blackberry java module to upload and install, as i do not need the entire installation
thanks
http://na.blackberry.com/eng/developers/javaappdev/javaeclipseplug.jsp
Comment
Watch Question

Do more with

Expert Office
EXPERT OFFICE® is a registered trademark of EXPERTS EXCHANGE®
Use "Software updates" option from Eclipse. Details can be found here (http://na.blackberry.com/eng/developers/javaappdev/eclipseplug_updatesite.jsp). Similar to others as well, not only Blackberry. I'm myself working on Android.

Author

Commented:
yes but thers all these whats the diff or just go for the 7


Download the Eclipse Software Update for the BlackBerry JDE v4.2.1 Component Pack
Download the Eclipse Software Update for the BlackBerry JDE v4.3 Component Pack
Download the Eclipse Software Update for the BlackBerry JDE v4.5 Component Pack
Download the Eclipse Software Update for the BlackBerry JDE v4.6 Component Pack
Download the Eclipse Software Update for the BlackBerry JDE v4.6.1 Component Pack
Download the Eclipse Software Update for the BlackBerry JDE v4.7 Component Pack
Better download all. I myself downloaded all for android. There's nothing to lose since we can delete any of those at anytime. It's just plugins.
Expert Spotlight: Joe Anderson (DatabaseMX)

We’ve posted a new Expert Spotlight!  Joe Anderson (DatabaseMX) has been on Experts Exchange since 2006. Learn more about this database architect, guitar aficionado, and Microsoft MVP.

Author

Commented:
but woudl i need to add all of them in arn,t they just different versions of the same thing
Just add all of them. Because this way you can test your program on many versions of OS running on real device. We are programming for phones, not computers. For example, for Android, I have SDK Platform 1.1 ,1.5, 1.6 ... If thinking as "computer programming", only the latest version needed, right. But in fact we need all because some old phones are still running on Android 1.1 --> that's why.

Author

Commented:
tanks for you input Arabia_vn have taken this to heart and i still need the componet that will talk to the balckberry up and running so will be revisiting this question in about a month so may get back with more questions then
garry

Do more with

Expert Office
Submit tech questions to Ask the Experts™ at any time to receive solutions, advice, and new ideas from leading industry professionals.

Start 7-Day Free Trial